Bug 844719 - [abrt] guitarix-0.23.3-1.fc17: g_malloc0: Process /usr/bin/guitarix was killed by signal 6 (SIGABRT)
[abrt] guitarix-0.23.3-1.fc17: g_malloc0: Process /usr/bin/guitarix was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: guitarix (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
abrt_hash:f5356d79aa408a9ac4c6cec4bd3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 09:42 EDT by Dmitriy Kalmykov
Modified: 2013-07-31 17:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (88.53 KB, text/plain)
2012-07-31 09:42 EDT, Dmitriy Kalmykov
no flags Details
File: maps (53.66 KB, text/plain)
2012-07-31 09:42 EDT, Dmitriy Kalmykov
no flags Details
File: dso_list (11.42 KB, text/plain)
2012-07-31 09:42 EDT, Dmitriy Kalmykov
no flags Details
File: build_ids (4.52 KB, text/plain)
2012-07-31 09:42 EDT, Dmitriy Kalmykov
no flags Details

  None (edit)
Description Dmitriy Kalmykov 2012-07-31 09:42:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        guitarix
crash_function: g_malloc0
executable:     /usr/bin/guitarix
kernel:         3.4.6-2.fc17.x86_64
pid:            2318
pwd:            /home/looner
remote_result:  NOTFOUND
time:           Пн. 30 июля 2012 13:09:17
uid:            1000
username:       looner

backtrace:      Text file, 90657 bytes
build_ids:      Text file, 4633 bytes
dso_list:       Text file, 11696 bytes
maps:           Text file, 54950 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/looner/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7564b __libc_message libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7c002 malloc_consolidate libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7cdde _int_malloc libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x81098 calloc libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4d2c7 g_malloc0 libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x370a0 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x376ba - libglib-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x26bd3 g_signal_handlers_destroy libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x1365d - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x144f8 g_object_unref libgobject-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x37243 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x380c1 g_hash_table_remove_all libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x3812e g_hash_table_destroy libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x78252 - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x145db g_object_unref libgobject-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x449ed g_list_foreach libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x279a34 - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x145db g_object_unref libgobject-2.0.so.0 -
:2b1e249c6d50af77b47e94b6be4a559e26f05e50 0x1a12de MainWindow::~MainWindow() [exe] -
:2b1e249c6d50af77b47e94b6be4a559e26f05e50 0xc898d main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=looner-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1af3fe3b5a75651ec7573d6e0000000e-1343624663.339148-306206267
:GNOME_KEYRING_CONTROL=/run/user/looner/keyring-4STcTN
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=looner
:USERNAME=looner
:MAIL=/var/spool/mail/looner
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/looner/.local/bin:/home/looner/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/looner
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=933
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/looner
:SHLVL=1
:LOGNAME=looner
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YQ7sP48YUE,guid=3d10c261b6f2ab6b0758456000000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/looner
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-looner-2GGDbg/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/935,unix/unix:/tmp/.ICE-unix/935
:GPG_AGENT_INFO=/run/user/looner/keyring-4STcTN/gpg:0:1
:SSH_AUTH_SOCK=/run/user/looner/keyring-4STcTN/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15584                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15584                15584                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/looner/.xsession-errors
:pos:	145496
:flags:	0102002
:2:/home/looner/.xsession-errors
:pos:	145496
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[27659]
:pos:	0
:flags:	02000000
:5:pipe:[27659]
:pos:	0
:flags:	02000001
:6:socket:[27662]
:pos:	0
:flags:	02004002
:7:socket:[27669]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Jul 29 12:00:56 looner-laptop yum[20333]: Updated: ladspa-guitarix-plugins-0.23.3-1.fc17.x86_64
:Jul 29 12:00:59 looner-laptop yum[20333]: Updated: guitarix-0.23.3-1.fc17.x86_64
:Jul 29 23:04:09 looner-laptop abrt[23515]: Saved core dump of pid 23414 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-29-23:04:08-23414 (38981632 bytes)
:Jul 29 23:45:12 looner-laptop kernel: [117524.249281] guitarix[23572]: segfault at ffffffffffaa2d30 ip 00000034cac7bcb3 sp 00007fffeb433fe0 error 4 in libc-2.15.so[34cac00000+1ac000]
:Jul 29 23:45:13 looner-laptop abrt[23894]: Saved core dump of pid 23572 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-29-23:45:12-23572 (51085312 bytes)
:Jul 30 13:01:34 looner-laptop abrt[2266]: Saved core dump of pid 2148 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-30-13:01:33-2148 (37060608 bytes)
:Jul 30 13:06:30 looner-laptop kernel: [  166.848751] guitarix[1676]: segfault at 736e618b ip 00000034cac7bc0d sp 00007fff27dfdb80 error 4 in libc-2.15.so[34cac00000+1ac000]
:Jul 30 13:06:31 looner-laptop abrt[1976]: Saved core dump of pid 1676 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-30-13:06:30-1676 (37040128 bytes)
:Jul 30 13:07:04 looner-laptop kernel: [  200.240930] guitarix[2007]: segfault at 736e618b ip 00000034cac7bc0d sp 00007fff05175520 error 4 in libc-2.15.so[34cac00000+1ac000]
:Jul 30 13:07:04 looner-laptop abrt[2031]: Saved core dump of pid 2007 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-30-13:07:04-2007 (37040128 bytes)
:Jul 30 13:09:18 looner-laptop abrt[2428]: Saved core dump of pid 2318 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-30-13:09:17-2318 (37220352 bytes)
Comment 1 Dmitriy Kalmykov 2012-07-31 09:42:11 EDT
Created attachment 601528 [details]
File: backtrace
Comment 2 Dmitriy Kalmykov 2012-07-31 09:42:14 EDT
Created attachment 601529 [details]
File: maps
Comment 3 Dmitriy Kalmykov 2012-07-31 09:42:16 EDT
Created attachment 601530 [details]
File: dso_list
Comment 4 Dmitriy Kalmykov 2012-07-31 09:42:19 EDT
Created attachment 601531 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 16:58:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 17:39:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.